// =============================================================== //
//                                                                 //
//   File      : awti_edit.hxx                                     //
//   Purpose   : test and modify import/export filters             //
//                                                                 //
//   Coded by Ralf Westram (coder@reallysoft.de) in October 2017   //
//   http://www.arb-home.de/                                       //
//                                                                 //
// =============================================================== //

#ifndef AWTI_EDIT_HXX
#define AWTI_EDIT_HXX

#ifndef AW_BASE_HXX
#include <aw_base.hxx>
#endif
#ifndef AWT_FILTER_HXX
#include <awt_filter.hxx>
#endif

void AWTI_activate_import_test_window(AW_window *awp);
void AWTI_activate_export_test_window(AW_window *awp, GBDATA *gb_main, adfiltercbstruct *acbs);

#else
#error awti_edit.hxx included twice
#endif // AWTI_EDIT_HXX
