// ============================================================= //
//                                                               //
//   File      : CT_def.hxx                                      //
//   Purpose   :                                                 //
//                                                               //
//   Coded by Ralf Westram (coder@reallysoft.de) in March 2012   //
//   Institute of Microbiology (Technical University Munich)     //
//   http://www.arb-home.de/                                     //
//                                                               //
// ============================================================= //

#ifndef CT_DEF_HXX
#define CT_DEF_HXX

// debug flags
#if defined(DEBUG)

// # define DUMP_PART_INIT       // uncomment to show basic info about PARTs
// # define DUMP_PART_INSERTION  // dump parts while inserted into "ntree"
// # define DUMP_PART_DISTANCE // dump parts involved in calculation of PART distance

# if defined(DUMP_PART_INSERTION) || defined(DUMP_PART_DISTANCE)
#  define NTREE_DEBUG_FUNCTIONS // debug function for NTREE
# endif
#endif // DEBUG

#else
#error CT_def.hxx included twice
#endif // CT_DEF_HXX
